> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepinfra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Account



## OpenAPI

````yaml https://api.deepinfra.com/openapi.json delete /v1/me
openapi: 3.1.0
info:
  title: DeepInfra API
  description: >-
    The DeepInfra API provides serverless AI inference, custom model
    deployments, and GPU rentals.
  version: 1.0.0
servers:
  - url: https://api.deepinfra.com
security: []
tags:
  - name: Chat Completions
    description: OpenAI and Anthropic-compatible chat completion endpoints for LLMs.
  - name: Text Completions
    description: OpenAI-compatible text completion endpoints.
  - name: Embeddings
    description: Generate text embeddings for search and RAG.
  - name: Image Generation
    description: Generate, edit, and create variations of images.
  - name: Audio
    description: OpenAI-compatible speech synthesis, transcription, and translation.
  - name: Text to Speech
    description: ElevenLabs-compatible TTS endpoints and voice management.
  - name: Inference
    description: Native DeepInfra inference API for models and deployments.
  - name: Dedicated Models
    description: Deploy and manage private model instances with autoscaling.
  - name: GPU Rentals
    description: Rent dedicated GPU containers.
  - name: Models
    description: Browse, search, and manage AI models.
  - name: Files & Batches
    description: File uploads and batch processing.
  - name: LoRA Adapters
    description: Create, manage, and query LoRA adapter models.
  - name: Agents
    description: Manage agent-framework instances (OpenClaw and friends).
  - name: Sandboxes
    description: Create and manage isolated sandbox environments.
  - name: Account
    description: User profile, team management, and rate limits.
  - name: Authentication
    description: API tokens, SSH keys, scoped JWTs, and login flows.
  - name: Billing
    description: Payment methods, usage tracking, and billing.
  - name: Logs & Metrics
    description: Query inference logs, deployment logs, and usage metrics.
  - name: Utilities
    description: Feedback submission and CLI version.
paths:
  /v1/me:
    delete:
      tags:
        - Account
      summary: Delete Account
      operationId: delete_account_v1_me_delete
      parameters:
        - name: xi-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Xi-Api-Key
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Me'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Me:
      properties:
        uid:
          type: string
          title: Uid
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        email_verified:
          type: boolean
          title: Email Verified
        account_setup:
          type: boolean
          title: Account Setup
        require_email_verified:
          type: boolean
          title: Require Email Verified
          default: false
        display_name:
          type: string
          title: Display Name
          description: Name that is used to identifythe account on the website
        provider:
          type: string
          title: Provider
          description: Authentication provider, e.g. 'github'
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        is_admin:
          type: boolean
          title: Is Admin
        can_access_agents:
          type: boolean
          title: Can Access Agents
          description: >-
            Whether the user may use the hosted-agents feature (admins, plus the
            AGENTS_ACCESS_UIDS allowlist)
          default: false
        name:
          type: string
          title: Name
          description: Personal name
        first_name:
          type: string
          title: First Name
          description: First name of the user
        last_name:
          type: string
          title: Last Name
          description: Last name of the user
        country:
          type: string
          title: Country
          description: Country of the user
        is_business_account:
          type: boolean
          title: Is Business Account
        company:
          type: string
          title: Company
          description: Company name
        website:
          type: string
          title: Website
          description: Company website address
        title:
          type: string
          title: Title
          description: Job title of the user, e.g. 'Software Engineer'
        is_team_account:
          type: boolean
          title: Is Team Account
          default: false
        is_team_owner:
          type: boolean
          title: Is Team Owner
          default: false
        team_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Role
        team_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Display Name
        is_team_upgrade_enabled:
          type: boolean
          title: Is Team Upgrade Enabled
          default: true
        vercel_connection:
          anyOf:
            - $ref: '#/components/schemas/MeVercelConnection'
            - type: 'null'
        google_linked:
          type: boolean
          title: Google Linked
          description: Whether a Google account is linked
          default: false
        show_signup_form:
          type: boolean
          title: Show Signup Form
          description: >-
            Frontend should route the user into the post-signup account-details
            form
          default: false
        checklist:
          anyOf:
            - $ref: '#/components/schemas/Checklist'
            - type: 'null'
      type: object
      required:
        - uid
        - email
        - email_verified
        - account_setup
        - display_name
        - provider
        - picture
        - is_admin
        - name
        - first_name
        - last_name
        - country
        - is_business_account
        - company
        - website
        - title
      title: Me
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MeVercelConnection:
      properties:
        user_id:
          type: string
          title: User Id
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
        installation_id:
          type: string
          title: Installation Id
      type: object
      required:
        - user_id
        - installation_id
      title: MeVercelConnection
    Checklist:
      properties:
        email:
          type: boolean
          title: Email
          default: false
        billing_address:
          type: boolean
          title: Billing Address
          default: false
        billing_address_info:
          anyOf:
            - $ref: '#/components/schemas/BillingAddressOut'
            - type: 'null'
        payment_method:
          type: boolean
          title: Payment Method
          default: false
        payment_method_info:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodOut'
            - type: 'null'
        suspended:
          type: boolean
          title: Suspended
          default: false
        overdue_invoices:
          type: number
          title: Overdue Invoices
          default: 0
        last_checked:
          type: integer
          title: Last Checked
          default: 0
        stripe_balance:
          type: number
          title: Stripe Balance
          description: >-
            Negative value indicates funds ready-to-spend. Positive value
            indicates money owed
        recent:
          type: number
          title: Recent
          description: usage since most recent invoice
        limit:
          anyOf:
            - type: number
            - type: 'null'
          title: Limit
        suspend_reason:
          anyOf:
            - $ref: '#/components/schemas/SuspendReason'
            - type: 'null'
        topup:
          type: boolean
          title: Topup
          default: false
        topup_amount:
          type: integer
          title: Topup Amount
          default: 0
        topup_threshold:
          type: integer
          title: Topup Threshold
          default: 0
        topup_failed:
          type: boolean
          title: Topup Failed
          default: false
        billing_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Billing Type
        intermediate_invoicing_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Intermediate Invoicing Threshold
      type: object
      required:
        - stripe_balance
        - recent
        - limit
        - suspend_reason
      title: Checklist
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BillingAddressOut:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        line1:
          anyOf:
            - type: string
            - type: 'null'
          title: Line1
        line2:
          anyOf:
            - type: string
            - type: 'null'
          title: Line2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
      type: object
      title: BillingAddressOut
    PaymentMethodOut:
      properties:
        type:
          type: string
          title: Type
        card:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodCard'
            - type: 'null'
        us_bank_account:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodBank'
            - type: 'null'
        cashapp:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodCashApp'
            - type: 'null'
      type: object
      required:
        - type
      title: PaymentMethodOut
    SuspendReason:
      type: string
      enum:
        - balance
        - payment-method
        - overdue-invoices
        - limit-reached
        - admin
        - bad-cc
        - missing-address
      title: SuspendReason
    PaymentMethodCard:
      properties:
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        last4:
          anyOf:
            - type: string
            - type: 'null'
          title: Last4
        wallet:
          anyOf:
            - type: string
            - type: 'null'
          title: Wallet
      type: object
      title: PaymentMethodCard
    PaymentMethodBank:
      properties:
        bank_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Name
        last4:
          anyOf:
            - type: string
            - type: 'null'
          title: Last4
      type: object
      title: PaymentMethodBank
    PaymentMethodCashApp:
      properties:
        cashtag:
          anyOf:
            - type: string
            - type: 'null'
          title: Cashtag
      type: object
      title: PaymentMethodCashApp
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````